@tailwind base;
@tailwind components;
@tailwind utilities;

body {
    height: 100vh;
}

#__next,
main {
    height: 100%;
}

main {
    display: flex;
    flex-direction: column;
}

#kingdom {
    display: flex;
    align-items: flex-end;
    flex-grow: 1;
    background-color: white;
}

@keyframes leftToRight {
    0% {
        margin-left: 0vw;
    }

    25% {
        margin-left: 95vw;
    }

    50% {
        margin-left: 0vw;
    }

    75% {
        margin-left: 95vw;
    }

    100% {
        margin-left: 0vw;
    }
}

.player {
    position: absolute;
    left: 0;
    margin-left: 0vw;
    animation-name: leftToRight;
    animation-timing-function: linear;
    animation-iteration-count: infinite;

    display: flex;
    flex-direction: column;
    align-items: center;

    &__name {
        color: white;
    }

    &__money {
        color: green;
    }

    &__image {
        position: relative;

        &__clothes,
        &__weapon {
            position: absolute;
            top: 5;
        }

        &__clothes {
            top: 33%;
            left: 8%;
        }

        &__weapon {
            top: 0;
            right: 0
        }
    }
}